Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.parser
Class Token

    java.lang.Object
      |
      +--org.openorb.compiler.parser.Token

public class Token
extends java.lang.Object

This class represents IDL grammar symbols.

Version:
  $Revision: 1.7 $ $Date: 2002/08/21 08:19:25 $
Author:
  Jerome Daniel

Field Summary
`static int` | `t_abstract`
`static int` | `t_acc_fermee`
`static int` | `t_acc_ouverte`
`static int` | `t_and`
`static int` | `t_any`
`static int` | `t_attribute`
`static int` | `t_boolean`
`static int` | `t_caractere`
`static int` | `t_case`
`static int` | `t_chaine`
`static int` | `t_char`
`static int` | `t_const`
`static int` | `t_context`
`static int` | `t_cro_ferme`
`static int` | `t_cro_ouvert`
`static int` | `t_custom`
`static int` | `t_default`
`static int` | `t_define`
`static int` | `t_deux_points`
`static int` | `t_diese`
`static int` | `t_div`
`static int` | `t_double`
`static int` | `t_egal`
`static int` | `t_else`
`static int` | `t_endif`
`static int` | `t_enum`
`static int` | `t_enum_member`
`static int` | `t_exception`
`static int` | `t_factory`
`static int` | `t_false`
`static int` | `t_fin_fichier`
`static int` | `t_fin_ligne`
`static int` | `t_fixed`
`static int` | `t_float`
`static int` | `t_ident`
`static int` | `t_ifdef`
`static int` | `t_ifndef`
`static int` | `t_import`
`static int` | `t_in`
`static int` | `t_include`
`static int` | `t_inf`
`static int` | `t_inf_egal`
`static int` | `t_inout`
`static int` | `t_integer`
`static int` | `t_interface`
`static int` | `t_local`
`static int` | `t_long`
`static int` | `t_longdouble`
`static int` | `t_longlong`
`static int` | `t_mod`
`static int` | `t_module`
`static int` | `t_moins`
`static int` | `t_mul`
`static int` | `t_native`
`static int` | `t_none`
`static int` | `t_object`
`static int` | `t_octet`
`static int` | `t_oneway`
`static int` | `t_or`
`static int` | `t_out`
`static int` | `t_par_fermee`
`static int` | `t_par_ouverte`
`static int` | `t_plus`
`static int` | `t_point`
`static int` | `t_point_virgule`
`static int` | `t_pragma`
`static int` | `t_private`
`static int` | `t_public`
`static int` | `t_quatre_pts`
`static int` | `t_raises`
`static int` | `t_readonly`
`static int` | `t_real`
`static int` | `t_sequence`
`static int` | `t_short`
`static int` | `t_souligne`
`static int` | `t_string`
`static int` | `t_struct`
`static int` | `t_struct_member`
`static int` | `t_sup`
`static int` | `t_sup_egal`
`static int` | `t_supports`
`static int` | `t_switch`
`static int` | `t_tilde`
`static int` | `t_true`
`static int` | `t_truncatable`
`static int` | `t_typecode`
`static int` | `t_typedef`
`static int` | `t_typeId`
`static int` | `t_typePrefix`
`static int` | `t_ulong`
`static int` | `t_ulonglong`
`static int` | `t_undef`
`static int` | `t_union`
`static int` | `t_union_member`
`static int` | `t_unsigned`
`static int` | `t_ushort`
`static int` | `t_ValueBase`
`static int` | `t_valuetype`
`static int` | `t_virgule`
`static int` | `t_void`
`static int` | `t_wchar`
`static int` | `t_wstring`

Constructor Summary
`Token()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### t_plus

    public static final int t_plus

### t_moins

    public static final int t_moins

### t_mul

    public static final int t_mul

### t_div

    public static final int t_div

### t_acc_ouverte

    public static final int t_acc_ouverte

### t_acc_fermee

    public static final int t_acc_fermee

### t_cro_ouvert

    public static final int t_cro_ouvert

### t_cro_ferme

    public static final int t_cro_ferme

### t_par_ouverte

    public static final int t_par_ouverte

### t_par_fermee

    public static final int t_par_fermee

### t_egal

    public static final int t_egal

### t_virgule

    public static final int t_virgule

### t_point

    public static final int t_point

### t_point_virgule

    public static final int t_point_virgule

### t_deux_points

    public static final int t_deux_points

### t_inf

    public static final int t_inf

### t_sup

    public static final int t_sup

### t_inf_egal

    public static final int t_inf_egal

### t_sup_egal

    public static final int t_sup_egal

### t_and

    public static final int t_and

### t_souligne

    public static final int t_souligne

### t_ident

    public static final int t_ident

### t_any

    public static final int t_any

### t_attribute

    public static final int t_attribute

### t_boolean

    public static final int t_boolean

### t_case

    public static final int t_case

### t_char

    public static final int t_char

### t_const

    public static final int t_const

### t_context

    public static final int t_context

### t_default

    public static final int t_default

### t_double

    public static final int t_double

### t_enum

    public static final int t_enum

### t_exception

    public static final int t_exception

### t_false

    public static final int t_false

### t_float

    public static final int t_float

### t_in

    public static final int t_in

### t_inout

    public static final int t_inout

### t_interface

    public static final int t_interface

### t_long

    public static final int t_long

### t_module

    public static final int t_module

### t_object

    public static final int t_object

### t_octet

    public static final int t_octet

### t_oneway

    public static final int t_oneway

### t_out

    public static final int t_out

### t_raises

    public static final int t_raises

### t_readonly

    public static final int t_readonly

### t_sequence

    public static final int t_sequence

### t_short

    public static final int t_short

### t_string

    public static final int t_string

### t_struct

    public static final int t_struct

### t_switch

    public static final int t_switch

### t_true

    public static final int t_true

### t_typedef

    public static final int t_typedef

### t_unsigned

    public static final int t_unsigned

### t_union

    public static final int t_union

### t_void

    public static final int t_void

### t_quatre_pts

    public static final int t_quatre_pts

### t_tilde

    public static final int t_tilde

### t_none

    public static final int t_none

### t_mod

    public static final int t_mod

### t_integer

    public static final int t_integer

### t_real

    public static final int t_real

### t_chaine

    public static final int t_chaine

### t_caractere

    public static final int t_caractere

### t_ulong

    public static final int t_ulong

### t_ushort

    public static final int t_ushort

### t_diese

    public static final int t_diese

### t_pragma

    public static final int t_pragma

### t_include

    public static final int t_include

### t_typecode

    public static final int t_typecode

### t_wchar

    public static final int t_wchar

### t_wstring

    public static final int t_wstring

### t_longlong

    public static final int t_longlong

### t_ulonglong

    public static final int t_ulonglong

### t_longdouble

    public static final int t_longdouble

### t_native

    public static final int t_native

### t_define

    public static final int t_define

### t_ifndef

    public static final int t_ifndef

### t_else

    public static final int t_else

### t_endif

    public static final int t_endif

### t_undef

    public static final int t_undef

### t_enum_member

    public static final int t_enum_member

### t_struct_member

    public static final int t_struct_member

### t_union_member

    public static final int t_union_member

### t_or

    public static final int t_or

### t_fixed

    public static final int t_fixed

### t_abstract

    public static final int t_abstract

### t_ValueBase

    public static final int t_ValueBase

### t_valuetype

    public static final int t_valuetype

### t_supports

    public static final int t_supports

### t_custom

    public static final int t_custom

### t_truncatable

    public static final int t_truncatable

### t_private

    public static final int t_private

### t_public

    public static final int t_public

### t_factory

    public static final int t_factory

### t_ifdef

    public static final int t_ifdef

### t_import

    public static final int t_import

### t_local

    public static final int t_local

### t_typeId

    public static final int t_typeId

### t_typePrefix

    public static final int t_typePrefix

### t_fin_fichier

    public static final int t_fin_fichier

### t_fin_ligne

    public static final int t_fin_ligne

Constructor Detail

### Token

    public Token()

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD